/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package songview;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.image.ImageView;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

/**
 *
 * @author klimczak
 */
public class SongView extends Application {
    
    private static String url;
    private static SongCollection songCollection;
    
    @Override
    public void start(Stage primaryStage) {
        
        //Create UI Elements
        Button forwardBtn = new Button("Forward");
        Button backwardBtn = new Button("Backward");
        Label titleLabel = new Label("My Songs");
        Label songLabel = new Label();
        ImageView cover = new ImageView();
        
        //Add ActionListeners
        backwardBtn.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent event) {
                songCollection.backward();
            }
        });
        forwardBtn.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent event) {
                songCollection.forward();
            }
        });
        
         //Binding
         cover.imageProperty().bind(songCollection.getCoverProperty());
         songLabel.textProperty().bind(songCollection.getTitleProperty());
         
        
        //Create layouts, needs work
        VBox root = new VBox();
        HBox header = new HBox();
        header.setAlignment(Pos.CENTER);
        VBox songArea = new VBox();
        songArea.setAlignment(Pos.CENTER);
        header.setMinHeight(50);
        
        //Create Tree structure
        header.getChildren().addAll(backwardBtn,titleLabel,forwardBtn);
        songArea.getChildren().addAll(songLabel,cover);
        root.getChildren().addAll(header,songArea);
        Scene scene = new Scene(root, 400, 300);
        
        //set scene
        primaryStage.setTitle("Song View");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        if(args.length>0)
            url=args[0];
                //Create songs and songcollection
         Song song1 = new Song("Artist 1","Song A","a.png");
         Song song2 = new Song("Artist 2","Song B","b.png");
         Song song3 = new Song("Artist 3","Song C","c.png");
         songCollection = new SongCollection();
         songCollection.addSong(song1);
         songCollection.addSong(song2);
         songCollection.addSong(song3);
        
        launch(args);
    }
    
}
